org.eclipse.jdt.core.search

## Class MethodNameMatchRequestor

- java.lang.Object
- - org.eclipse.jdt.core.search.MethodNameMatchRequestor

    public abstract class MethodNameMatchRequestor
    extends Object

A `MethodNameMatchRequestor` collects matches from a `searchAllMethodNames` query to a `SearchEngine`. Clients must subclass this abstract class and pass an instance to the `SearchEngine.searchAllMethodNames( char[] packageName, int pkgMatchRule, char[] declaringQualification, int declQualificationMatchRule, char[] delcaringSimpleName, int declSimpleNameMatchRule, char[] methodName, int methodMatchRule, IJavaSearchScope scope, MethodNameMatchRequestor methodRequestor, int waitingPolicy, IProgressMonitor progressMonitor)` method.

While `MethodNameRequestor` only reports method names information (e.g. package, enclosing types, method name, modifiers, etc.), this class reports `MethodNameMatch` objects instead, which store this information and can return an `IMethod` handle.

This class may be subclassed by clients.

Since:
  3.12
See Also:
  `MethodNameMatch`, `MethodNameRequestor`

### Constructor Summary

Constructors
Constructor and Description
`MethodNameMatchRequestor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `acceptMethodNameMatch(MethodNameMatch match)` Accepts a method name match (`MethodNameMatch`) which contains a method information as package name, enclosing types names, method name, modifiers, etc.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodNameMatchRequestor

    public MethodNameMatchRequestor()

### Method Detail

#### acceptMethodNameMatch

    public abstract void acceptMethodNameMatch(MethodNameMatch match)

Accepts a method name match (`MethodNameMatch`) which contains a method information as package name, enclosing types names, method name, modifiers, etc.

Parameters:
  `match` - the match which contains all method information